Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register
Class TestPeerProfile

    java.lang.Object
      lbg.peer.register.PeerProfile
          lbg.peer.register.TestPeerProfile

All Implemented Interfaces:
  java.lang.Comparable<PeerProfile>

    public class TestPeerProfile

extends PeerProfile

Author:
  Cyril Briquet

Constructor Summary
`TestPeerProfile(java.lang.String profiled_peer_id, java.lang.String managed_peer_id)`

Method Summary
`int` | `compareTo(PeerProfile other)`
`TaskSchedulingContext` | `createConsumptionTaskSchedulingContext(Task t)`
`TaskSchedulingContext` | `createSupplyingTaskSchedulingContext(Task t)`
`int` | `decreaseWaitingJobsCount()`
`boolean` | `equals(java.lang.Object obj)`
`PeerBarteringProfile` | `getBarteringProfile()`
`ExternalPeerHandle` | `getHandle()`
`PeerInteractionsDataBase` | `getInteractionsDataBase()`
`PeerNegotiationProfile` | `getNegotiationProfile()`
`int` | `getWaitingJobsCount()`
`int` | `hashCode()`
`java.lang.String` | `id()`
`int` | `increaseWaitingJobsCount()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.register.PeerProfile
`decreaseRunningJobsCount, getRunningJobsCount, increaseRunningJobsCount`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestPeerProfile

    public TestPeerProfile(java.lang.String profiled_peer_id,
                           java.lang.String managed_peer_id)
                    throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PeerProfile`

### compareTo

    public int compareTo(PeerProfile other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<PeerProfile>`
  Overrides:
    `compareTo` in class `PeerProfile`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PeerProfile`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PeerProfile`

### id

    public java.lang.String id()

  Overrides:
    `id` in class `PeerProfile`

### getHandle

    public ExternalPeerHandle getHandle()

  Overrides:
    `getHandle` in class `PeerProfile`

### getNegotiationProfile

    public PeerNegotiationProfile getNegotiationProfile()

  Overrides:
    `getNegotiationProfile` in class `PeerProfile`

### getBarteringProfile

    public PeerBarteringProfile getBarteringProfile()

  Overrides:
    `getBarteringProfile` in class `PeerProfile`

### getInteractionsDataBase

    public PeerInteractionsDataBase getInteractionsDataBase()
                                                     throws GridException

  Overrides:
    `getInteractionsDataBase` in class `PeerProfile`
  Throws:
    `GridException`

### getWaitingJobsCount

    public int getWaitingJobsCount()
                            throws GridException

  Overrides:
    `getWaitingJobsCount` in class `PeerProfile`
  Throws:
    `GridException`

### increaseWaitingJobsCount

    public int increaseWaitingJobsCount()
                                 throws GridException

  Overrides:
    `increaseWaitingJobsCount` in class `PeerProfile`
  Throws:
    `GridException`

### decreaseWaitingJobsCount

    public int decreaseWaitingJobsCount()
                                 throws GridException

  Overrides:
    `decreaseWaitingJobsCount` in class `PeerProfile`
  Throws:
    `GridException`

### createConsumptionTaskSchedulingContext

    public TaskSchedulingContext createConsumptionTaskSchedulingContext(Task t)
                                                                 throws GridException

  Overrides:
    `createConsumptionTaskSchedulingContext` in class `PeerProfile`
  Throws:
    `GridException`

### createSupplyingTaskSchedulingContext

    public TaskSchedulingContext createSupplyingTaskSchedulingContext(Task t)
                                                               throws GridException

  Overrides:
    `createSupplyingTaskSchedulingContext` in class `PeerProfile`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.